@use "../../../styles/colors";

.invoices {
  display: flex;
  flex-direction: column;
  gap: 1.6rem;
  width: 100%;
}

.card {
  display: grid;
  grid-template-columns: 1fr 2fr 3fr 2.7fr 1.2fr 0.1fr;
  align-items: center;
  padding: 1.8rem 2.2rem;
  border-radius: 0.6rem;
  background-color: colors.$primary-accent;
  cursor: pointer;
  transition: box-shadow 0.3s;
  z-index: 1;

  &:hover {
    box-shadow: 0 0 0 1px colors.$primary-hover;
  }

  &__id {
    font-weight: 700;
  }

  &__date,
  &__date-amount__date {
    color: colors.$secondary-light;
  }

  &__date,
  &__name {
    font-weight: 500;
  }

  &__amount,
  &__date-amount__amount {
    font-weight: 700;
    font-size: 1.6rem;
    line-height: 2.4rem;
  }

  &__date-amount {
    display: none;
  }

  &__chevron {
    stroke: colors.$primary;
    width: 1.6rem;
  }
}

@keyframes fade {
  from {
    opacity: 0;
    visibility: hidden;
  }
  to {
    visibility: visible;
    opacity: 1;
  }
}

@media (max-width: 900px) {
  .card {
    grid-template-columns: auto 1.5fr 1.8fr 1.2fr auto auto;
    gap: 2rem;
  }
}

@media (max-width: 650px) {
  .card {
    grid-template-columns: auto 1fr auto;
    grid-template-rows: max-content 1fr;

    &__id {
      grid-column: 1 / -2;
    }

    &__name {
      grid-column: -2;
      grid-row: 1;
      text-align: end;
    }

    &__date,
    &__amount {
      display: none;
    }

    &__date-amount {
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      gap: 0.6rem;
      height: 100%;
      grid-column: 1 / span 1;
      grid-row: 2;
    }

    &__status {
      grid-column: -2;
      grid-row: 2;
    }

    &__chevron {
      display: none;
    }
  }
}
